# PokemonAnimPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonAnimPhase

#### Hierarchy (View Summary)

- BattlePhase
  - PokemonAnimPhase

- Defined in src/phases/pokemon-anim-phase.ts:9

##### Index

### Constructors

constructor

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PokemonAnimPhase(
  key: PokemonAnimType ,
  pokemon: default ,
  fieldAssets?: Sprite[],
  ): PokemonAnimPhase

  #### Parameters

  - key: PokemonAnimType
  - pokemon: default
  - `Optional` fieldAssets: Sprite[]

  #### Returns PokemonAnimPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/pokemon-anim-phase.ts:17

## Methods

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/pokemon-anim-phase.ts:25